Skip to main content
GET
/
flights
/
deals
Get top flight deals
curl --request GET \
  --url https://api.staging.rovemiles.com/functions/v1/flights/deals \
  --header 'Authorization: Bearer <token>'
{
  "start_date": "2025-11-01",
  "end_date": "2025-11-30",
  "nearest_airport": "NYC",
  "data": [
    {
      "cpm": 1.32,
      "date": "2025-11-05",
      "route": {
        "source": "virginatlantic",
        "distance": 3446,
        "num_days_out": 120,
        "origin_region": "North America",
        "origin_airport": "JFK",
        "destination_region": "Europe",
        "destination_airport": "LHR"
      },
      "direct": true,
      "source": "direct-booking",
      "airlines": [
        "OG"
      ],
      "fare_class": "Y",
      "cash_price": {
        "price": 250.08,
        "flight_details": {
          "cabin_class": "economy",
          "departing_at": "2025-11-05T18:15:00",
          "departure_date": "2025-11-05",
          "operating_carrier": {
            "name": "PLAY Airlines",
            "iata_code": "OG"
          }
        }
      },
      "city_image": "https://api.rovemiles.com/storage/v1/object/public/images/LHR/london-640x427.jpg",
      "total_taxes": 0,
      "mileage_cost": 19000,
      "coordinates": [
        -0.461941,
        51.4706
      ],
      "taxes_currency": "USD",
      "total_taxes_usd": 0,
      "remaining_seats": 9
    }
  ],
  "pagination": {
    "total": 23,
    "offset": 0,
    "limit": 20,
    "hasMore": false
  }
}

Authorizations

Authorization
string
header
required

API key for authentication. Add your API key to the Authorization header with this format: 'Bearer your_api_key_here'

Query Parameters

zipcode
string

The location zipcode, either zipcode or ip_address must be provided but not both

ip_address
string

The location ip address, either zipcode or ip_address must be provided but not both

sort
enum<string>
required

cheapest to sort by lowest miles needed, best to sort by the highest cents-per-miles value

Available options:
cheapest,
best
offset
integer
default:0

The offset for pagination

limit
integer
default:20

The limit for pagination

fare_class
enum<string>[]

The fare class to filter by, can be Y, W, J, F. If not provided, all fare classes are returned.

Available options:
Y,
W,
J,
F
destinations
string[]

The list of destination airport codes to filter by. If not provided, all destinations are returned.

Response

Successfully retrieved flight deals

start_date
string<date>
end_date
string<date>
nearest_airport
string
data
object[]
pagination
object